Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit mkdud for openSUSE:Factory
Hello community,

here is the log from the commit of package mkdud for openSUSE:Factory checked
in at 2019-04-05 12:04:58
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/mkdud (Old)
and /work/SRC/openSUSE:Factory/.mkdud.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "mkdud"

Fri Apr 5 12:04:58 2019 rev:28 rq:691525 version:1.45

Changes:
--------
--- /work/SRC/openSUSE:Factory/mkdud/mkdud.changes 2019-01-10
15:21:16.998458338 +0100
+++ /work/SRC/openSUSE:Factory/.mkdud.new.3908/mkdud.changes 2019-04-05
12:06:36.362571790 +0200
@@ -1,0 +2,7 @@
+Thu Apr 4 13:04:44 UTC 2019 - snwint@xxxxxxx
+
+- merge gh#openSUSE/mkdud#30
+- map Kubic to Tumbleweed
+- 1.45
+
+--------------------------------------------------------------------

Old:
----
mkdud-1.44.tar.xz

New:
----
mkdud-1.45.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ mkdud.spec ++++++
--- /var/tmp/diff_new_pack.z5zwrU/_old 2019-04-05 12:06:37.030572137 +0200
+++ /var/tmp/diff_new_pack.z5zwrU/_new 2019-04-05 12:06:37.034572138 +0200
@@ -22,7 +22,7 @@
Summary: Create driver update from rpms
License: GPL-3.0+
Group: Hardware/Other
-Version: 1.44
+Version: 1.45
Release: 0
Source: %{name}-%{version}.tar.xz
Url: https://github.com/openSUSE/mkdud

++++++ mkdud-1.44.tar.xz -> mkdud-1.45.tar.xz ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/mkdud-1.44/VERSION new/mkdud-1.45/VERSION
--- old/mkdud-1.44/VERSION 2019-01-08 10:39:11.000000000 +0100
+++ new/mkdud-1.45/VERSION 2019-04-04 15:04:44.000000000 +0200
@@ -1 +1 @@
-1.44
+1.45
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/mkdud-1.44/changelog new/mkdud-1.45/changelog
--- old/mkdud-1.44/changelog 2019-01-08 10:39:11.000000000 +0100
+++ new/mkdud-1.45/changelog 2019-04-04 15:04:44.000000000 +0200
@@ -1,3 +1,7 @@
+2019-04-04: 1.45
+ - merge gh#openSUSE/mkdud#30
+ - map Kubic to Tumbleweed
+
2019-01-08: 1.44
- merge gh#openSUSE/mkdud#27
- fix architecture auto-detection for elf binaries and libraries
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/mkdud-1.44/mkdud new/mkdud-1.45/mkdud
--- old/mkdud-1.44/mkdud 2019-01-08 10:39:11.000000000 +0100
+++ new/mkdud-1.45/mkdud 2019-04-04 15:04:44.000000000 +0200
@@ -290,7 +290,8 @@
my %d;
@dists = @opt_dist;
map { tr/-//d } @dists;
- map { s/^(tumbleweed|tw).*/tw/g } @dists;
+ # kubic is part of tumbleweed
+ map { s/^(tumbleweed|tw|kubic).*/tw/g } @dists;
# map 'casp' to the new 'caasp'
map { s/^casp(\d)/caasp$1/ } @dists;
# CaaSP should be aligned with the respective SLES
@@ -398,9 +399,9 @@
find a hint in SOURCES either, an update for
all supported
architectures is created.
-d, --dist DIST Specify the product the DUD is for. Possible
values include:
- 13.2, sle12, leap42.3, kubic1.0, caasp1.0, tw
standing for
- openSUSE 13.2, SLE12, Leap 42.3, Kubic 1.0,
CaaSP 1.0,
- Tumbleweed, respectively.
+ 13.2, sle12, leap42.3, caasp1.0, tw standing
for
+ openSUSE 13.2, SLE12, Leap 42.3, CaaSP 1.0,
Tumbleweed,
+ respectively.
Note that 'sle12' is a short hand for
specifying both
'sles12' and 'sled12'.
Note also that there are no separate names for
service packs.
@@ -542,7 +543,7 @@

- X.Y (e.g. 13.2) = openSUSE X.Y
- leapX.Y (e.g. leap42.3) = openSUSE Leap X.Y
- - kubicX.Y (e.g. kubic1.0) = openSUSE Kubic X.Y
+ - (obsolete) kubicX.Y (e.g. kubic1.0) = openSUSE Kubic X.Y
- tw = openSUSE Tumbleweed
- sleX (e.g. sle12) = SUSE Linux Enterprise (Server + Desktop) X
- slesX (e.g. sles12) = SUSE Linux Enterprise Server X
@@ -563,6 +564,9 @@
- caasp3.0 = sles12 (-sp3)
- caasp4.0 = sles15

+ Kubic is based on Tumbleweed. For compatibility, '--dist kubic...' variants
are still
+ supported but will be mapped to Tumbleweed. Please use '--dist tw' directly.
+
Driver updates built only for SLE12 will implicitly also work with
CaaSP3.0; those built only for SLE15 will also work with CaaSP4.0. But
this is not true for CaaSP1.0 and CaaSP2.0.


< Previous Next >
This Thread
  • No further messages